### Изоляция сетевых интерфейсов устройства

_Проверка стенда, когда один М716 двумя портам подключается к маршрутизатору и необходимо выполнять тестирование с одно порта на другой_
**Схема теста**
**M716**
Порт A соединен с портом маршрутизатора с IP-адресом 192.168.1.2
Порт B соединен с портом маршрутизатора с IP-адресом 192.168.2.2
Управление через порт Mnt

**Создаем изолированные пространства для каждого порта**
_PORT_A/PORT_B - это просто названия_
```
ip netns add PORT_A
ip netns add PORT_B
```
**Добавляем порты в свои пространства**
```
ip link set dev gbe0 netns PORT_A
ip link set dev gbe1 netns PORT_B
```
**Далее выполняем стандартную настройку, но вначале команды необходимо указывать в рамках какого простанства мы работаем**
```
ip netns exec PORT_A ip addr add 192.168.1.1/24 dev gbe0
ip netns exec PORT_B ip addr add 192.168.2.1/24 dev gbe1
ip netns exec PORT_A ip link set dev gbe0 up
ip netns exec PORT_B ip link set dev gbe1 up
ip netns exec PORT_A ip route add 192.168.2.0/24 via 192.168.2.2
ip netns exec PORT_B ip route add 192.168.1.0/24 via 192.168.1.2
```
**Проверка**
```
ip netns exec PORT_A ping 192.168.2.1
ip netns exec PORT_A traceroute 192.168.2.1
ip netns exec PORT_B ping 192.168.1.1
ip netns exec PORT_B traceroute 192.168.1.1
```